Bug 755454 - RHQ 4.2 JBossEAP Repository EAR Deployment problem
RHQ 4.2 JBossEAP Repository EAR Deployment problem
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
x86_64 Linux
low Severity urgent (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 02:51 EST by Rabee
Modified: 2013-09-25 08:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 08:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rabee 2011-11-21 02:51:29 EST
Description of problem:

I am using RHQ 4.2 and JBossEAP 5.1 on Centos 5.5

I have defined a repository and added an EAR project in it. When I want to deploy my ear file on JBossEAP, i get the following exception:
 
java.lang.IllegalArgumentException: The 'metadata' field of the 'packageDetails' parameter is null.
at org.jboss.on.common.jbossas.JBPMWorkflowManager.run(JBPMWorkflowManager.java:94)
at org.rhq.plugins.jbossas5.ApplicationServerContentFacetDelegate.deployPackages(ApplicationServerContentFacetDelegate.java:112)
at org.rhq.plugins.jbossas5.ApplicationServerComponent.deployPackages(ApplicationServerComponent.java:324)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:552)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
at java.util.concurrent.FutureTask.run(FutureTask.java:138)
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
at java.lang.Thread.run(Thread.java:619)
 
would you please make help to solve this problem.
thanks in advance
Comment 1 Mike Foley 2011-11-30 10:59:43 EST
not supported, should be using bundles

Note You need to log in before you can comment on or make changes to this bug.